package cc.fascinated.bat.features.namehistory.command;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(name = "namehistory", description = "View the name history of a user")
public class NameHistoryCommand extends BatCommand {
    @Autowired
    public NameHistoryCommand(@NonNull ApplicationContext context) {
        super.addSubCommand(context.getBean(UserSubCommand.class));
        super.addSubCommand(context.getBean(GuildSubCommand.class));
    }
}
