package cc.fascinated.bat.migrations;

import io.mongock.runner.spring.base.events.SpringMigrationSuccessEvent;
import lombok.extern.log4j.Log4j2;
import org.jetbrains.annotations.NotNull;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component @Log4j2
public class MongockSuccessEventListener implements ApplicationListener<SpringMigrationSuccessEvent> {
    @Override
    public void onApplicationEvent(@NotNull SpringMigrationSuccessEvent event) {
        log.info("Successfully ran Mongock migrations");
    }
}