package cc.fascinated.bat.features.drag.command;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(name = "drag", description = "Drag command")
public class DragCommand extends BatCommand {
    @Autowired
    public DragCommand(@NonNull ApplicationContext context) {
        super.addSubCommand(context.getBean(RequestSubCommand.class));
    }
}
