package cc.fascinated.bat.features.welcomer;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
@Setter
public class WelcomerMessage {
    /**
     * The message to send
     */
    private String message;

    /**
     * Builds the message and replaces the placeholders
     *
     * @return The built message
     */
    public String buildMessage(Object... replacements) {
        return WelcomerPlaceholders.replaceAllPlaceholders(message, replacements);
    }
}
